# BrianObjectException class

(Shortest import: `from brian2 import BrianObjectException)`

class brian2.core.base.BrianObjectException(message, brianobj)

  Bases: `Exception`

  High level exception that adds extra Brian-specific information to exceptions

  This exception should only be raised at a fairly high level in Brian code to pass information back to the user. It adds extra information about where a `BrianObject` was defined to better enable users to locate the source of problems.

  Parameters:

    message : str

    > Additional error information to add to the original exception.

    brianobj : BrianObject

    > The object that caused the error to happen.

    original_exception : Exception

    > The original exception that was raised.